summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Strogin <stefan.strogin@gmail.com>2018-11-23 21:28:40 +0200
committerMichał Górny <mgorny@gentoo.org>2018-12-04 23:30:23 +0100
commitba80b7bfcf2468639caf63d98dd765a3f991af0f (patch)
tree8cfc337fe8443b6b4c7e59ac6104d1ef1c85e0ec /x11-plugins
parentdev-libs/libpfm: bump up to 4.10.1, bug #666615 (diff)
downloadgentoo-ba80b7bfcf2468639caf63d98dd765a3f991af0f.tar.gz
gentoo-ba80b7bfcf2468639caf63d98dd765a3f991af0f.tar.bz2
gentoo-ba80b7bfcf2468639caf63d98dd765a3f991af0f.zip
x11-plugins/purple-hangouts: bump to 0_p20181108
Closes: https://bugs.gentoo.org/671194 Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Stefan Strogin <stefan.strogin@gmail.com> Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'x11-plugins')
-rw-r--r--x11-plugins/purple-hangouts/Manifest1
-rw-r--r--x11-plugins/purple-hangouts/purple-hangouts-0_p20181108.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/x11-plugins/purple-hangouts/Manifest b/x11-plugins/purple-hangouts/Manifest
index c5e49a0e324..4036288b530 100644
--- a/x11-plugins/purple-hangouts/Manifest
+++ b/x11-plugins/purple-hangouts/Manifest
@@ -1,3 +1,4 @@
DIST purple-hangouts-0_p20170714.tar.gz 145914 BLAKE2B cb932c7c31bffe98c62b2ce77b39a2262689d59676f51d66b3c6cfe31a3319226d429ee241e37985c836389809089c633f7a04152659eb88195372259281465b SHA512 4b14eccd2140c98c88b5fb2bed6039306454484dc23c359b7860bc55997161bc8f5bbf1cb1939041bca40e98dd30afd224508903993031ee10dfb38b088d891e
DIST purple-hangouts-0_p20180328.tar.gz 149992 BLAKE2B a9db51f236859806625ecaa70a18a39584278cd7865a3212355d4f88dd5a5d3da589ebc9a26ca24f5e3190ea37748251525b4f44e15124109f8902ed573bf127 SHA512 f20d3e7625d7d617c50a911a758af9131cee4d02f948db3f396e0241c0d556dd65070aff2f7f5f1db56e61a9e91975fed420d7d17e0c7c80f1714cab08e342c5
DIST purple-hangouts-0_p20181024.tar.gz 150600 BLAKE2B 4dc9b689642b73d242d89f780188d581aac2524665048ef2c35606b2d15a852e6ef111238d1f7a3c65895555d8169c96a7158767ec2a6fa5fb6645fc3f5260eb SHA512 e1200845e64f20aef1b75bd8d7a128fa6b1fe2b731c7d83db876900e2bac988007f04d59996c86c78190770186210401af5a51e0ed490c0027a0933445ce125b
+DIST purple-hangouts-0_p20181108.tar.gz 150585 BLAKE2B faf357ed7f6e58fab49d18dce65b181b5462cfb2c60f074d4a3a9bdfe7fcf0df179e842d7ec4053c323902b214e299b4be7c336bb1fa65257c95babecef1940f SHA512 eb7c522eb51fe82607a643d2b9f817ec5671e4b98a727de8ba73863cda213b8744dd601875febc9cd24eaf6b7213c22034d23d9f6093c542c29524a430ffe464
diff --git a/x11-plugins/purple-hangouts/purple-hangouts-0_p20181108.ebuild b/x11-plugins/purple-hangouts/purple-hangouts-0_p20181108.ebuild
new file mode 100644
index 00000000000..6a844b7738b
--- /dev/null
+++ b/x11-plugins/purple-hangouts/purple-hangouts-0_p20181108.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Hangouts Plugin for libpurple"
+HOMEPAGE="https://bitbucket.org/EionRobb/purple-hangouts"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit mercurial
+ EHG_REPO_URI="https://bitbucket.org/EionRobb/purple-hangouts"
+else
+ COMMIT_ID="cd38fcd6082d"
+ SRC_URI="https://bitbucket.org/EionRobb/purple-hangouts/get/${COMMIT_ID}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+ S="${WORKDIR}/EionRobb-${PN}-${COMMIT_ID}"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+RDEPEND="
+ dev-libs/glib:2
+ dev-libs/json-glib
+ dev-libs/protobuf-c:=
+ net-im/pidgin
+ sys-libs/zlib"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ default
+
+ # Does not respect CFLAGS
+ sed -i Makefile -e 's/-g -ggdb//g' || die
+}
+
+src_compile() {
+ emake \
+ CC="$(tc-getCC)" \
+ PKG_CONFIG="$(tc-getPKG_CONFIG)"
+}
+
+src_install() {
+ emake \
+ PKG_CONFIG="$(tc-getPKG_CONFIG)" \
+ DESTDIR="${ED}" \
+ install
+
+ einstalldocs
+}